# Class multiple_results_error

- Defined in File category.hpp

## Inheritance Relationships

### Base Type

- `public std::runtime_error`

## Class Documentation

class multiple_results_error : public std::runtime_error

  A multiple_results_error is throw when you request a single row using a query but the query contains more than exactly one row.

  Public Functions

  inline multiple_results_error()

    Construct a new multiple results error object.